<?xml version="1.0" encoding="utf-8"?>
<EntityRelationships>
  <EntityRelationship Name="lk_contactbase_createdby">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IntroducedVersion>5.0.0.0</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>Contact</ReferencingEntityName>
    <ReferencedEntityName>SystemUser</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>NoCascade</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <ReferencingAttributeName>CreatedBy</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Shows who created the record." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="createdby" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="" lookuptypes="8">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>0</IsAuditEnabled>
      <displaynames>
        <displayname description="Created By" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="lk_contactbase_modifiedby">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IntroducedVersion>5.0.0.0</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>Contact</ReferencingEntityName>
    <ReferencedEntityName>SystemUser</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>NoCascade</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <ReferencingAttributeName>ModifiedBy</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Shows who last updated the record." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="modifiedby" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="" lookuptypes="8">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>0</IsAuditEnabled>
      <displaynames>
        <displayname description="Modified By" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="system_user_contacts">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IntroducedVersion>5.0.0.0</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>Contact</ReferencingEntityName>
    <ReferencedEntityName>SystemUser</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>NoCascade</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <ReferencingAttributeName>PreferredSystemUserId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Choose the regular or preferred customer service representative for reference when scheduling service activities for the contact." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="preferredsystemuserid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="" lookuptypes="8">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>0</IsAuditEnabled>
      <displaynames>
        <displayname description="Preferred User" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
</EntityRelationships>